Loading...
Searching...
No Matches
DAVTicket Class Reference

## Public Member Functions

| __construct ( $ticket_id)
| dav_name ()
| id ()
| privileges ()
| MatchesPath ( $test_path)
| MatchesResource ( $test_resource_id)

## Public Attributes

| $expired

## Private Attributes

| $ticket_id
| $dav_name
| $target_collection_id
| $target_resource_id
| $expiry
| $dav_owner_id
| $privileges
| $grantor_collection_privileges
| $expires

## Detailed Description

Definition at line 20 of file DAVTicket.php.

## Constructor & Destructor Documentation

## __construct()

DAVTicket::__construct | ( |  | $ticket_id | ) |

Constructor

Parameters

  string | $ticket_id |

Definition at line 72 of file DAVTicket.php.

## Member Function Documentation

## dav_name()

DAVTicket::dav_name | ( |  | ) |

Definition at line 115 of file DAVTicket.php.

## id()

DAVTicket::id | ( |  | ) |

Definition at line 120 of file DAVTicket.php.

## MatchesPath()

DAVTicket::MatchesPath | ( |  | $test_path | ) |

Definition at line 130 of file DAVTicket.php.

## MatchesResource()

DAVTicket::MatchesResource | ( |  | $test_resource_id | ) |

Definition at line 135 of file DAVTicket.php.

## privileges()

DAVTicket::privileges | ( |  | ) |

Definition at line 125 of file DAVTicket.php.

## Member Data Documentation

## $dav_name

DAVTicket::$dav_name

private

Definition at line 30 of file DAVTicket.php.

## $dav_owner_id

DAVTicket::$dav_owner_id

private

Definition at line 50 of file DAVTicket.php.

## $expired

DAVTicket::$expired

Definition at line 65 of file DAVTicket.php.

## $expires

DAVTicket::$expires

private

Definition at line 66 of file DAVTicket.php.

## $expiry

DAVTicket::$expiry

private

Definition at line 45 of file DAVTicket.php.

## $grantor_collection_privileges

DAVTicket::$grantor_collection_privileges

private

Definition at line 60 of file DAVTicket.php.

## $privileges

DAVTicket::$privileges

private

Definition at line 55 of file DAVTicket.php.

## $target_collection_id

DAVTicket::$target_collection_id

private

Definition at line 35 of file DAVTicket.php.

## $target_resource_id

DAVTicket::$target_resource_id

private

Definition at line 40 of file DAVTicket.php.

## $ticket_id

DAVTicket::$ticket_id

private

Definition at line 25 of file DAVTicket.php.

The documentation for this class was generated from the following file:

- inc/DAVTicket.php